unable to update Ubuntu in terminal . also i unable to use sci lab in working condition for programming

Asked by sunil kumar saini on 2021-04-26

when i go for update then it shows that server not found . and also unable to use sci lab in working condition . i trid all of the method but none of work .
please help me as fast u can do
your faithfully user
sunil kumar saini

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu Edit question
Assignee:
No assignee Edit question
Solved by:
actionparsnip
Solved:
Last query:
Last reply:

can you copy and paste the full output in the terminal on
https://answers.launchpad.net/ubuntu/+question/696761

So that we can see the actual text rather than your interpretation.

this error ocurrs during update

Err:1 http://in.old-releases.ubuntu.com/ubuntu focal InRelease
  Could not resolve 'in.old-releases.ubuntu.com'
Hit:2 http://dl.google.com/linux/chrome/deb stable InRelease
Err:3 http://in.old-releases.ubuntu.com/ubuntu focal-updates InRelease
  Could not resolve 'in.old-releases.ubuntu.com'
Hit:4 http://ppa.launchpad.net/apandada1/xournalpp-stable/ubuntu focal InRelease
Err:5 http://in.old-releases.ubuntu.com/ubuntu focal-backports InRelease
  Could not resolve 'in.old-releases.ubuntu.com'
Hit:6 http://archive.canonical.com/ubuntu focal InRelease
Ign:7 http://old-releases.ubuntu.com/ubuntu focal-security InRelease
Ign:8 http://archive.ubuntu.com/ubuntu artful InRelease
Hit:9 https://packages.microsoft.com/repos/ms-teams stable InRelease
Err:10 http://old-releases.ubuntu.com/ubuntu focal-security Release
  404 Not Found [IP: 2001:67c:1360:8001::34 80]
Err:11 http://archive.ubuntu.com/ubuntu artful Release
  404 Not Found [IP: 2001:67c:1360:8001::23 80]
Hit:12 http://ppa.launchpad.net/apt-fast/stable/ubuntu focal InRelease
Hit:13 http://ppa.launchpad.net/libreoffice/libreoffice-7-0/ubuntu focal InRelease
Hit:14 http://ppa.launchpad.net/libreoffice/ppa/ubuntu focal InRelease
Hit:15 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu focal InRelease
Reading package lists... Done
E: The repository 'http://old-releases.ubuntu.com/ubuntu focal-security Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: The repository 'http://archive.ubuntu.com/ubuntu artful Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.

and error during scilab
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.scilab.modules.jvm.LibraryPath (file:/usr/share/scilab/modules/jvm/jar/org.scilab.modules.jvm.jar) to field java.lang.ClassLoader.sys_paths
WARNING: Please consider reporting this to the maintainers of org.scilab.modules.jvm.LibraryPath
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
Could not access to the Main Scilab Class:
Exception in thread "main" java.lang.ExceptionInInitializerError
 at org.scilab.modules.localization.Messages.gettext(Unknown Source)
 at org.scilab.modules.commons.xml.XConfiguration.<clinit>(Unknown Source)
 at org.scilab.modules.core.Scilab.<clinit>(Unknown Source)
Caused by: java.lang.NullPointerException
 at java.base/java.lang.ClassLoader.loadLibrary(ClassLoader.java:2646)
 at java.base/java.lang.Runtime.loadLibrary0(Runtime.java:830)
 at java.base/java.lang.System.loadLibrary(System.java:1873)
 at org.scilab.modules.localization.MessagesJNI.<clinit>(Unknown Source)
 ... 3 more

Scilab cannot create Scilab Java Main-Class (we have not been able to find the main Scilab class. Check if the Scilab and thirdparty packages are available).

please help me

The artful lines in /etc/apt/sources.list and within the files of /etc/apt/sources.list.d should be commented out. Artful is no longer supported.

The line about old-release should also be commented out as Focal is fully supported.

problem not resolved